/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * Angle.cpp
 *
 *  Created on: 2010/11/15
 *      Author: HARK Development Team
 */

#include <constants.hpp>
#include <DimensionPromise/types/Angle.hpp>
#include <AngleConstants.hpp>

namespace NSHarkBinaural
{

const NSDimensionPromise::Angle Angles::AnglePi(Constants::ConstPi);
const NSDimensionPromise::Angle Angles::AnglePi2(Constants::ConstPi2);
const NSDimensionPromise::Angle Angles::AnglePi4(Constants::ConstPi4);
const NSDimensionPromise::Angle Angles::Angle1Pi(Constants::Const1Pi);
const NSDimensionPromise::Angle Angles::Angle2Pi(Constants::Const2Pi);
const NSDimensionPromise::Angle Angles::Angle2SqrtPi(Constants::Const2SqrtPi);
const NSDimensionPromise::Angle Angles::Zero(0.0);

}
