/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * MethodFlag.hpp
 *
 *  Created on: 2011/01/14
 *      Author: HARK Development Team
 */

#ifndef METHODFLAG_HPP_
#define METHODFLAG_HPP_

namespace NSHarkBinaural
{

/**
 * 音源方向推定の方法を表す定数.
 */
struct MethodFlag
{
    typedef enum {
        /// IPDとIIDを用いて推定する
        BOTH,

        /// IPDのみを用いて推定する
        IPDONLY,

        /// IIDのみを用いて推定する
        IIDONLY
    } Kind;
};

}

#endif /* METHODFLAG_HPP_ */
